Subject: bug#72305: [PATCH] Fix DocView's text conversion on tty Emacs

From: Manuel Giraud <[email-masked]>
Date: Sat, 27 Jul 2024 17:17:24 +0200

Jeremy Bryant <[email-masked]> writes:

> Manuel Giraud via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> writes:
>
>> Tags: patch
>>
>> Hi,
>>
>> When doing 'M-x doc-view-mode' on document buffer in "emacs -nw", Emacs
>> proposes to convert this document to the text version and if the user
>> says "yes" it calls `doc-view-open-text'.
>>
>> `doc-view-open-text' tries to get the current page by calling the
>> `doc-view-current-page' but this latter relies on
>> `image-mode-window-get' which most probably return nil on a tty.
>
> I can't reproduce this bug on 29.4, could you provide a more complete
> recipe starting from emacs -Q?

You're right but I see an error nevertheless.  Here is my recipe:

       - emacs -Q -nw
       - C-x C-f "a_doc_for_example_a.pdf"
       - M-x doc-view-mode ;; No automatic mode detection (I think it
                           ;; would be the object of another bug report)
       - Answer "y" to the question "Unable to render file.  View
         extracted text instead? "

Here I see an error in 29.4 but the text version is rendered anyway.  In
30 (or master), I see an error and the text version is not rendered.
-- 
Manuel Giraud